| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
DonutBreakdown Class Referencefinal

DonutBreakdon. More...

`#include <donuts.h>`

Inheritance diagram for DonutBreakdown:

## Public Member Functions
void | addBreakdownSeries (QPieSeries *series, const QColor &color, const QFont &font)
| Adds a slice to the donut.

## Private Member Functions
void | recalculateAngles ()
| Recalculates the size of every slice in percentage over the total.
void | updateLegendMarkers ()
| Updates the position of the markers to be in the middle of the relative slice.

## Detailed Description

DonutBreakdon.

Builds the donut chart to be displayed

## Member Function Documentation

## ◆ addBreakdownSeries()

void DonutBreakdown::addBreakdownSeries | ( | QPieSeries * | series,
|  | const QColor & | color,
|  | const QFont & | font )

Adds a slice to the donut.

Parameters

  series | The series to add
  color | The color of the slice
  font | The font to be used

See also
  Craplog::makeChart()

The documentation for this class was generated from the following files:

- logdoctor/modules/craplog/modules/donuts.h
- logdoctor/modules/craplog/modules/donuts.cpp